<script setup>
import { ref, onMounted, onUnmounted } from 'vue';
import axios from 'axios';

const climaActual = ref(null);

function iconUrl(iconPath) {
    if (iconPath && !iconPath.includes('http:') && !iconPath.includes('https:')) {
        return 'http:' + iconPath;
    }
    return iconPath;
}

async function obtenerTemperatura() {
    try {
        const response = await axios.get('http://localhost:8080/temperatura');
        climaActual.value = response.data;
    } catch (error) {
        console.error("Error al obtener los datos del clima:", error);
        climaActual.value = { error: "No se pudieron cargar los datos del clima." };
    }
}

onMounted(() => {
    obtenerTemperatura();
    const intervalId = setInterval(obtenerTemperatura, 60000);

    onUnmounted(() => {
        clearInterval(intervalId);
    });
});
</script>

<template>
    <div class="row justify-content-center">
        <div class="col-xl-10 col-lg-12 col-md-9">
            <div class="card o-hidden border-0 shadow-lg my-5">
                <div class="card-body p-0">
                    <div class="p-5">
                        <div class="text-center">
                            <h1 class="h4 text-gray-900 mb-4">Datos del Clima Actual</h1>
                        </div>
                        <div v-if="climaActual && !climaActual.error">
                            <div class="text-center mb-4">
                                <h2 class="h5 mb-2 text-gray-800">Ciudad: {{ climaActual.ciudad }}</h2>
                            </div>

                            <div class="text-center mb-4">
                                <h2 class="h5 mb-2 text-gray-800">Temperatura: {{ climaActual.temperatura }}°C</h2>
                            </div>
                        </div>
                        <div v-else-if="climaActual && climaActual.error">
                            <div class="alert alert-danger" role="alert">
                                {{ climaActual.error }}
                            </div>
                        </div>
                        <div v-else>
                            <div class="text-center">
                                <p>Cargando datos del clima...</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
